Subject: Re: [mpls-tp] I-D Action:draft-ietf-mpls-tp-gach-dcn-05.txt

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 27 Aug 2009 13:42:55 +0100

Hi,

This revision folds in comments from Ben and Francesco (for which thanks).

Most of Ben's points were in our email exchange. Ben's last questions were 
actually covered by Francesco's emails.

The main (only?) point I see remaining is whether it is appropriate to use 
ACH TLVs.

I think we must assume that ACH TLVs are acceptable in general. After all, 
RFC 5586 reached consensus and includes the definition of the concept and 
base definitions.

So the issue is whether the DCN should use an ACH TLV to encode the payload 
PID, or whether this should be hardwired into the DCN message format (for 
example, omitting the ACH TLV header, leaving out the ACH TLV type and 
length, and just including the PID bytes).

At one point in the discussion it was suggested that there is benefit in all 
ACH messages having a common form/structure. Others say that the messages 
should be tuned for their specific use.

At this point, I have heard debate about this with some saying that they 
thing one solution is nicer than the other, but I don't hear anyone saying 
strongly that they want a particular solution (perhaps my hearing is not 
good enough?)

At the moment, I have status quo ante and that is how it will stay unless 
there is a strong opinion the other way.

Thanks,
Adrian

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, August 27, 2009 1:30 PM
Subject: I-D Action:draft-ietf-mpls-tp-gach-dcn-05.txt

>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
> This draft is a work item of the Multiprotocol Label Switching Working 
> Group of the IETF.
>
>
> Title           : An Inband Data Communication Network For the MPLS 
> Transport Profile
> Author(s)       : D. Beller, A. Farrel
> Filename        : draft-ietf-mpls-tp-gach-dcn-05.txt
> Pages           : 9
> Date            : 2009-08-27
>
> The Generic Associated Channel (G-ACh) has been defined as a
> generalization of the pseudowire (PW) associated control channel to
> enable the realization of a control/communication channel associated
> with Multiprotocol Label Switching (MPLS) Label Switched Paths
> (LSPs), MPLS PWs, MPLS LSP segments, and MPLS sections between
> adjacent MPLS-capable devices.
>
> The MPLS Transport Profile (MPLS-TP) is a profile of the MPLS
> architecture that identifies elements of the MPLS toolkit that may be
> combined to build a carrier grade packet transport network based on
> MPLS packet switching technology.
>
> This document describes how the G-ACh may be used to provide the
> infrastructure that forms part of the Management Communication
> Network (MCN) and a Signaling Communication Network (SCN).
> Collectively, the MCN and SCN may be referred to as the Data
> Communication Network (DCN). This document explains how MCN and SCN
> messages are encapsulated, carried on the G-ACh, and demultiplexed
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-mpls-tp-gach-dcn-05.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

--------------------------------------------------------------------------------

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>